| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::poll_answer Struct Reference

Represents an answer in a poll. More...

`#include <message.h>`

Collaboration diagram for dpp::poll_answer:
[legend]

## Public Attributes

uint32_t | id {0}
| ID of the answer. Only sent by the Discord API, this is a dead field when creating a poll.
poll_media | media {}
| Data of the answer.

## Detailed Description

Represents an answer in a poll.

See also
  https://discord.com/developers/docs/resources/poll#poll-answer-object-poll-answer-object-structure

## Member Data Documentation

## ◆ id

uint32_t dpp::poll_answer::id {0}

ID of the answer. Only sent by the Discord API, this is a dead field when creating a poll.

@warn At the time of writing the Discord API warns users not to rely on anything regarding sequence or "first value" of this field.

## ◆ media

poll_media dpp::poll_answer::media {}

Data of the answer.

See also
  poll_media

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0